! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
!------------------------------------------------------------------------------
!
!	                   XMM Science Analysis System (SAS)
!	                   (c) 1997-2010 European Space Agency
!
!------------------------------------------------------------------------------
!
! cal_mos.f90	--- Calibration Access Layer EMOS interface specifications ---
!
!	DESCRIPTION:
!		This modules contains the interface specifications for
!       a certain subset of the EMOS specific CAL routines.
!
!	EXPORTED FUNCTIONS:
!		All functions exported by this module start with "CAL_" - this
!		substring is omitted in the following list:
!
!       CAL_mosPhaBuild


module cal_mos

use CalOalDefs
    
    interface

       subroutine CAL_mosPhaBuild(energye1, energye2, pattern, pha,  &
                                  locbkg, energye3, energye4, peripix, flag)
            use types
! energye1, energye2, energye3, energye4, pattern, peripix, flag, pha
! are pointers to columns of the same name in the events list
! locbkg is a pointer to the local background for each event (modified)
! pha is the output, all the others are input, locbkg is input/output

    real(kind=single),   dimension(:), intent(in) :: energye1
    integer(kind=int16), dimension(:), intent(in) :: energye2
    integer(kind=int8),  dimension(:), intent(in) :: pattern
    real(kind=single),   dimension(:), pointer    :: pha

    integer(kind=int16), dimension(:), intent(in), optional :: energye3, &
                                                               energye4
    real(kind=single),   dimension(:), intent(in), optional :: locbkg
    integer(kind=int8),  dimension(:), intent(in), optional :: peripix
    integer(kind=int32), dimension(:), intent(in), optional :: flag

       end subroutine       

    end interface

end module Cal_mos
